| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Enumerations
OgreFrustum.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMovableObject.h"`
`#include "OgreRenderable.h"`
`#include "OgreAxisAlignedBox.h"`
`#include "OgreVertexIndexData.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::Frustum
| A frustum represents a pyramid, capped at the near and far end which is used to represent either a visible area or a projection area. More...

## Namespaces
| Ogre

## Enumerations
enum | Ogre::FrustumPlane { Ogre::FRUSTUM_PLANE_NEAR = 0, Ogre::FRUSTUM_PLANE_FAR = 1, Ogre::FRUSTUM_PLANE_LEFT = 2, Ogre::FRUSTUM_PLANE_RIGHT = 3, Ogre::FRUSTUM_PLANE_TOP = 4, Ogre::FRUSTUM_PLANE_BOTTOM = 5 }
| Worldspace clipping planes. More...
enum | Ogre::OrientationMode { Ogre::OR_DEGREE_0 = 0, Ogre::OR_DEGREE_90 = 1, Ogre::OR_DEGREE_180 = 2, Ogre::OR_DEGREE_270 = 3, Ogre::OR_PORTRAIT = OR_DEGREE_0, Ogre::OR_LANDSCAPERIGHT = OR_DEGREE_90, Ogre::OR_LANDSCAPELEFT = OR_DEGREE_270 }
| Specifies orientation mode. More...
enum | Ogre::ProjectionType { Ogre::PT_ORTHOGRAPHIC, Ogre::PT_PERSPECTIVE }
| Specifies perspective (realistic) or orthographic (architectural) projection. More...